Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet
[Java] Class GrailsControllerHandlerMapping

    java.lang.Object
      org.springframework.web.servlet.handler.AbstractHandlerMapping
          org.codehaus.groovy.grails.web.servlet.GrailsControllerHandlerMapping

All Implemented Interfaces:
  GrailsApplicationAware

    public class GrailsControllerHandlerMapping
    extends AbstractHandlerMapping

Matches Grails' SimpleController class.

Authors:
  Graeme Rocher

Since:
  1.2

Field Summary
`static java.lang.String` | `MAIN_CONTROLLER_BEAN`

Method Summary
`protected HandlerInterceptor[]` | `establishInterceptors(WebApplicationContext webContext)` Evalutes the given WebApplicationContext for all HandlerInterceptor and WebRequestInterceptor instances
`protected void` | `extendInterceptors(java.util.List interceptors)`
`protected HandlerExecutionChain` | `getHandlerExecutionChain(java.lang.Object handler, HttpServletRequest request)`
`protected java.lang.Object` | `getHandlerForControllerClass(GrailsControllerClass controllerClass, HttpServletRequest request)` Obtains the handler for the given controller class.
`protected java.lang.Object` | `getHandlerInternal(HttpServletRequest request)`
`protected HandlerInterceptor[]` | `lookupInterceptors(WebApplicationContext applicationContext)`
`void` | `setGrailsApplication(GrailsApplication grailsApplication)`

Field Detail

### MAIN_CONTROLLER_BEAN

    public static final java.lang.String MAIN_CONTROLLER_BEAN

Method Detail

### establishInterceptors

    protected HandlerInterceptor[] establishInterceptors(WebApplicationContext webContext)

  Evalutes the given WebApplicationContext for all HandlerInterceptor and WebRequestInterceptor instances
  Parameters:
    `webContext` - The WebApplicationContext
  Returns:
    An array of HandlerInterceptor instances

### extendInterceptors

    @SuppressWarnings("rawtypes")
    @Override
    protected void extendInterceptors(java.util.List interceptors)

### getHandlerExecutionChain

    @Override
    protected final HandlerExecutionChain getHandlerExecutionChain(java.lang.Object handler, HttpServletRequest request)

### getHandlerForControllerClass

    protected java.lang.Object getHandlerForControllerClass(GrailsControllerClass controllerClass, @SuppressWarnings("unused") HttpServletRequest request)

  Obtains the handler for the given controller class.
  Parameters:
    `controllerClass` - The controller class
    `request` - The HttpServletRequest
  Returns:
    The handler

### getHandlerInternal

    @Override
    protected java.lang.Object getHandlerInternal(HttpServletRequest request)

### lookupInterceptors

    protected HandlerInterceptor[] lookupInterceptors(WebApplicationContext applicationContext)

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication grailsApplication)

Groovy Documentation